<template>
  <div>
    <MiniLoader v-show="loader"/>
    <Signal
      v-if="helperLogistic"
      :counter="item.helper_logistic.status"
    />
  </div>
</template>

<script>
import MiniLoader from '../../../components/miniLoader';
import Signal from '../../../components/signal';
import STEPS from '@/constants/steps.js';
import {mapGetters} from 'vuex';

export default {
  name: "signalStatus",
  components: {
    MiniLoader,
    Signal
  },
  props: {
    item: {
      type: Object,
      default: () => {}
    }
  },
  data () {
    return {
      STEP: STEPS
    }
  },
  computed: {
    helperLogistic() {
      if (this.item.helper_logistic) {
        return (this.item.status === null && this.item.lotStatus === this.STEP.ACTIVE) ||
          this.item.status === this.STEP.ACTIVE;
      } else {
        return false;
      }
    },
    ...mapGetters({
      loader: 'account/listSignalLoader'
    })
  }
}
</script>
